Skip to main content
`Ctrl`+`K`

# IERS_A

class astropy.utils.iers.IERS_A(data=None, masked=False, names=None, dtype=None, meta=None, copy=True, rows=None, copy_indices=True, units=None, descriptions=None, **kwargs)

  Bases: `IERS`

  IERS Table class targeted to IERS A, provided by USNO.

  These include rapid turnaround and predicted times. See https://datacenter.iers.org/eop.php

  Notes

  If the package IERS A file (`iers.IERS_A_FILE`) is out of date, a new version can be downloaded from `iers.IERS_A_URL` or `iers.IERS_A_URL_MIRROR`. See `iers.__doc__` for instructions on use in `Time`, etc.

  Attributes Summary

  `iers_table` | Cached table, returned if `open` is called without arguments.

  Methods Summary

  `dcip_source`(i) | Set CIP correction source flag for entries in IERS table.
  `pm_source`(i) | Set polar motion source flag for entries in IERS table.
  `read`([file, readme]) | Read IERS-A table from a finals2000a.* file provided by USNO.
  `ut1_utc_source`(i) | Set UT1-UTC source flag for entries in IERS table.

  Attributes Documentation

  iers_table = None

    Cached table, returned if `open` is called without arguments.

  Methods Documentation

  dcip_source(i)

    Set CIP correction source flag for entries in IERS table.

  pm_source(i)

    Set polar motion source flag for entries in IERS table.

  classmethod read(file=None, readme=None)

    Read IERS-A table from a finals2000a.* file provided by USNO.

    Parameters:
      file `python:str` or `os.PathLike`[`python:str`]

        full path to ascii file holding IERS-A data. Defaults to `iers.IERS_A_FILE`.

      readme `python:str` or `os.PathLike`[`python:str`]

        full path to ascii file holding CDS-style readme. Defaults to package version, `iers.IERS_A_README`.

    Returns:
      `IERS_A` class instance
  ut1_utc_source(i)

    Set UT1-UTC source flag for entries in IERS table.